/**
  * Applets can't send data to an internet host other than the
  * host they came from. 
  *
  * This applet should raise a security exception since it's 
  * trying to send to www.sun.com
  *
  * @version JDK 1.0 beta
  * @author  Marianne Mueller
  */


import java.awt.*;
import java.net.*;
import java.io.*;
import java.lang.*;
import java.applet.*;

public class sendTest extends Applet {
    int port = 25;
    DatagramSocket s; 
    DatagramPacket dp;
    InetAddress in;
    byte buf[] = new byte[10];
    byte netaddr[]; 

    public void init() {
	try {
	  s = new DatagramSocket();
	  // hostname "null" returns the default address for the local machine
	  in = InetAddress.getByName("www.sun.com");
	  dp = new DatagramPacket(buf, 10, in, port);
	  for (int i=0; i<buf.length; ++i) buf[i] = (byte)i;
	} catch (SocketException se) {
	  System.out.println("Caught socket exception");
	} catch (UnknownHostException uhe) {
	  System.out.println("Caught unknown host exception");
	}
    }
	

    public void paint(Graphics g) {
	  try {
	      s.send(dp);
	      s.close();
	      g.drawString("Success sending to port " + port + " on " + dp.getAddress().toString(), 10, 10);
	      }
	  catch (SecurityException e) {
		g.drawString("Caught security exception trying to send to " + dp.getAddress().toString(), 10, 10);
          }
	  catch (IOException ioe) {
		g.drawString("Caught i/o exception", 10, 10);
          }
   }
}

